org.eclipse.graphiti.ui.internal.dnd

## Class GFTemplateTransferDropTargetListener

- java.lang.Object
- - org.eclipse.gef.dnd.AbstractTransferDropTargetListener
  - - org.eclipse.gef.dnd.TemplateTransferDropTargetListener
    - - org.eclipse.graphiti.ui.internal.dnd.GFTemplateTransferDropTargetListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.util.TransferDropTargetListener, org.eclipse.swt.dnd.DropTargetListener, org.eclipse.swt.internal.SWTEventListener

    public class GFTemplateTransferDropTargetListener
    extends org.eclipse.gef.dnd.TemplateTransferDropTargetListener

This subclass of TemplateTransferDropTargetListener `TemplateTransferDropTargetListener` was introduced to change the default behavior. For details on this see csn-message 0120031469 0001576030 2008

### Constructor Summary

Constructors
Constructor and Description
`GFTemplateTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer, DiagramBehavior diagramBehavior)`

### Method Summary

### Methods inherited from class org.eclipse.gef.dnd.AbstractTransferDropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept, getCurrentEvent, getTransfer, isEnabled, setCurrentEvent`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFTemplateTransferDropTargetListener

    public GFTemplateTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer,
                                                DiagramBehavior diagramBehavior)